net.minecraft.world.gen.structure

## Class ComponentVillageHouse2

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.ComponentVillage
    - - net.minecraft.world.gen.structure.ComponentVillageHouse2

-     public class ComponentVillageHouse2
      extends ComponentVillage

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WeightedRandomChestContent[]` | `villageBlacksmithChestContents` List of items that Village's Blacksmith chest can contain.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentVillageHouse2()`
    `ComponentVillageHouse2(ComponentVillageStartPiece par1ComponentVillageStartPiece, int par2, Random par3Random, StructureBoundingBox par4StructureBoundingBox, int par5)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addComponentParts(World par1World, Random par2Random, StructureBoundingBox par3StructureBoundingBox)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
    `static ComponentVillageHouse2` | `func_74915_a(ComponentVillageStartPiece par0ComponentVillageStartPiece, List par1List, Random par2Random, int par3, int par4, int par5, int par6, int par7)`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `buildComponent, findIntersecting, func_143009_a, func_143010_b, getBoundingBox, getCenter, getComponentType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### villageBlacksmithChestContents

          public static final WeightedRandomChestContent[] villageBlacksmithChestContents

      List of items that Village's Blacksmith chest can contain.

  - ### Constructor Detail

    - #### ComponentVillageHouse2

          public ComponentVillageHouse2()

    - #### ComponentVillageHouse2

          public ComponentVillageHouse2(ComponentVillageStartPiece par1ComponentVillageStartPiece,
                                int par2,
                                Random par3Random,
                                StructureBoundingBox par4StructureBoundingBox,
                                int par5)

  - ### Method Detail

    - #### func_74915_a

          public static ComponentVillageHouse2 func_74915_a(ComponentVillageStartPiece par0ComponentVillageStartPiece,
                                            List par1List,
                                            Random par2Random,
                                            int par3,
                                            int par4,
                                            int par5,
                                            int par6,
                                            int par7)

    - #### addComponentParts

          public boolean addComponentParts(World par1World,
                                  Random par2Random,
                                  StructureBoundingBox par3StructureBoundingBox)

      second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
      Specified by:
        `addComponentParts` in class `StructureComponent`